<?php
#### START AUTOCODE
################################################################################
#  Lumine - Database Mapping for PHP
#  Copyright (C) 2005  Hugo Ferreira da Silva
#  
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>
################################################################################
/**
 * Classe generada para a tabela "contato"
 * in 2013-05-16
 * @author Hugo Ferreira da Silva
 * @link http://www.hufersil.com.br/lumine
 * @package Domain
 *
 */

class Contato extends Lumine_Base {

    // sobrecarga
    protected $_tablename = 'contato';
    protected $_package   = 'Domain';
    
    
    public $contatoid;
    public $cep;
    public $rua;
    public $bairro;
    public $cidade;
    public $uf;
    public $email;
    public $msn;
    public $skype;
    public $talk;
    public $telefone;
    public $fax;
    public $celular;
    public $googlemaps;
    public $facebook;
    public $googlemais;
    public $twitter;
    public $linkedin;
    
    
    /**
     * get contatoid
     *
     */
    public function getContatoid() {
    	return $this->contatoid;
    }
    
    /**
     * set contatoid
     * @param Type $value
     *
     */
    public function setContatoid($value) {
    	$this->contatoid = $value;
    }
    /**
     * get cep
     *
     */
    public function getCep() {
    	return $this->cep;
    }
    
    /**
     * set cep
     * @param Type $value
     *
     */
    public function setCep($value) {
    	$this->cep = $value;
    }
    /**
     * get rua
     *
     */
    public function getRua() {
    	return $this->rua;
    }
    
    /**
     * set rua
     * @param Type $value
     *
     */
    public function setRua($value) {
    	$this->rua = $value;
    }
    /**
     * get bairro
     *
     */
    public function getBairro() {
    	return $this->bairro;
    }
    
    /**
     * set bairro
     * @param Type $value
     *
     */
    public function setBairro($value) {
    	$this->bairro = $value;
    }
    /**
     * get cidade
     *
     */
    public function getCidade() {
    	return $this->cidade;
    }
    
    /**
     * set cidade
     * @param Type $value
     *
     */
    public function setCidade($value) {
    	$this->cidade = $value;
    }
    /**
     * get uf
     *
     */
    public function getUf() {
    	return $this->uf;
    }
    
    /**
     * set uf
     * @param Type $value
     *
     */
    public function setUf($value) {
    	$this->uf = $value;
    }
    /**
     * get email
     *
     */
    public function getEmail() {
    	return $this->email;
    }
    
    /**
     * set email
     * @param Type $value
     *
     */
    public function setEmail($value) {
    	$this->email = $value;
    }
    /**
     * get msn
     *
     */
    public function getMsn() {
    	return $this->msn;
    }
    
    /**
     * set msn
     * @param Type $value
     *
     */
    public function setMsn($value) {
    	$this->msn = $value;
    }
    /**
     * get skype
     *
     */
    public function getSkype() {
    	return $this->skype;
    }
    
    /**
     * set skype
     * @param Type $value
     *
     */
    public function setSkype($value) {
    	$this->skype = $value;
    }
    /**
     * get talk
     *
     */
    public function getTalk() {
    	return $this->talk;
    }
    
    /**
     * set talk
     * @param Type $value
     *
     */
    public function setTalk($value) {
    	$this->talk = $value;
    }
    /**
     * get telefone
     *
     */
    public function getTelefone() {
    	return $this->telefone;
    }
    
    /**
     * set telefone
     * @param Type $value
     *
     */
    public function setTelefone($value) {
    	$this->telefone = $value;
    }
    /**
     * get fax
     *
     */
    public function getFax() {
    	return $this->fax;
    }
    
    /**
     * set fax
     * @param Type $value
     *
     */
    public function setFax($value) {
    	$this->fax = $value;
    }
    /**
     * get celular
     *
     */
    public function getCelular() {
    	return $this->celular;
    }
    
    /**
     * set celular
     * @param Type $value
     *
     */
    public function setCelular($value) {
    	$this->celular = $value;
    }
    /**
     * get googlemaps
     *
     */
    public function getGooglemaps() {
    	return $this->googlemaps;
    }
    
    /**
     * set googlemaps
     * @param Type $value
     *
     */
    public function setGooglemaps($value) {
    	$this->googlemaps = $value;
    }
    /**
     * get facebook
     *
     */
    public function getFacebook() {
    	return $this->facebook;
    }
    
    /**
     * set facebook
     * @param Type $value
     *
     */
    public function setFacebook($value) {
    	$this->facebook = $value;
    }
    /**
     * get googlemais
     *
     */
    public function getGooglemais() {
    	return $this->googlemais;
    }
    
    /**
     * set googlemais
     * @param Type $value
     *
     */
    public function setGooglemais($value) {
    	$this->googlemais = $value;
    }
    /**
     * get twitter
     *
     */
    public function getTwitter() {
    	return $this->twitter;
    }
    
    /**
     * set twitter
     * @param Type $value
     *
     */
    public function setTwitter($value) {
    	$this->twitter = $value;
    }
    /**
     * get linkedin
     *
     */
    public function getLinkedin() {
    	return $this->linkedin;
    }
    
    /**
     * set linkedin
     * @param Type $value
     *
     */
    public function setLinkedin($value) {
    	$this->linkedin = $value;
    }
    
    /**
     * Inicia os valores da classe
     * @author Hugo Ferreira da Silva
     * @return void
     */
    protected function _initialize()
    {
        
        
        # nome_do_membro, nome_da_coluna, tipo, comprimento, opcoes
        
        $this->_addField("contatoid", "contatoid", "int", 11, array('primary' => true, 'notnull' => true, 'autoincrement' => true));
        $this->_addField("cep", "cep", "char", 9, array('notnull' => true));
        $this->_addField("rua", "rua", "varchar", 250, array('notnull' => true));
        $this->_addField("bairro", "bairro", "varchar", 250, array('notnull' => true));
        $this->_addField("cidade", "cidade", "varchar", 250, array('notnull' => true));
        $this->_addField("uf", "uf", "char", 2, array('notnull' => true));
        $this->_addField("email", "email", "varchar", 100, array('notnull' => true));
        $this->_addField("msn", "msn", "varchar", 100, array());
        $this->_addField("skype", "skype", "varchar", 100, array());
        $this->_addField("talk", "talk", "varchar", 100, array());
        $this->_addField("telefone", "telefone", "varchar", 60, array('notnull' => true));
        $this->_addField("fax", "fax", "varchar", 60, array());
        $this->_addField("celular", "celular", "varchar", 60, array());
        $this->_addField("googlemaps", "googlemaps", "varchar", 2000, array());
        $this->_addField("facebook", "facebook", "varchar", 250, array());
        $this->_addField("googlemais", "googlemais", "varchar", 250, array());
        $this->_addField("twitter", "twitter", "varchar", 250, array());
        $this->_addField("linkedin", "linkedin", "varchar", 250, array());

        
    }

    /**
     * Recupera um objeto estaticamente
     * @author Hugo Ferreira da Silva
     * @return Contato
     */
    public static function staticGet($pk, $pkValue = null)
    {
        $obj = new Contato;
        $obj->get($pk, $pkValue);
        return $obj;
    }

	/**
	 * chama o destrutor pai
	 *
	 */
	function __destruct()
	{
		parent::__destruct();
	}
	
    #------------------------------------------------------#
    # Coloque todos os metodos personalizados abaixo de    #
    # END AUTOCODE                                         #
    #------------------------------------------------------#
    #### END AUTOCODE


}
